<?php
  session_start();

  if (!isset($_POST['module']))
  {
  	  echo "Invalid request to save settings;";
	  exit;
  }

  if (isset($_POST['debug']))
  {
	  $debug=$_POST['debug'];
  	  unset($_POST['debug']);
  }

  include($_SESSION['adminpath']."/dbopen.php");

  switch ($_POST['module'])
  {
  case 'admin':
  	  $scope='ALL';
	  $module='admin';

	  # Zero out checkboxes if blank
	  $cbArray=Array(
		   "showAllUsers"
		  ,"renameFiles"
		  ,"scoutsOn"
    		  ,"devEnable"
    		  ,"expEnable"
		  ,"finEnable"
		  ,"ratEnable"
		  ,"addDisable"
	           );

	  foreach ($cbArray as $key => $setting)
	  {
		  if (!isset($_POST[$setting])) {$_POST[$setting]=0;}
	  }

	  # Save settings
  	  foreach ($_POST as $setting => $value)
	  {
		  if ($setting=='module') {continue;}
		  if (($setting=='priLgID')&&(is_numeric($value))) {$_SESSION['lgid']=$value;}

		  $value=mysql_real_escape_string($value);
		  $query="INSERT INTO ootp_sql_admin (scope, module, setting, value) VALUES (";
  		  $query.="'$scope', '$module', '$setting', '$value'";
		  $query.=") ON DUPLICATE KEY UPDATE value='$value';";
  		  if ($debug==1) {echo "$query<br/>\n";}
		  mysql_query($query,$db);
  		  if (mysql_errno()) {echo mysql_error($result)."<br/>\n";}
	  }
	  break;
  case 'All-Star':
	  # Zero out checkboxes if blank
	  $cbArray=Array("asVotingOn","asModEnable","asResults","qOnTotFIP","splitOF");
	  foreach ($cbArray as $key => $setting)
	  {
		  if (!isset($_POST[$setting])) {$_POST[$setting]=0;}
	  }

	  $module=$_POST['module'];
	  
	  # Save settings
  	  foreach ($_POST as $setting => $value)
	  {
		  if ($setting=='module') {continue;}
		 
		  $scope=$_SESSION['lgid'];

		  $value=mysql_real_escape_string($value);
		  $query="INSERT INTO ootp_sql_admin (scope, module, setting, value) VALUES (";
  		  $query.="'$scope', '$module', '$setting', '$value'";
		  $query.=") ON DUPLICATE KEY UPDATE value='$value';";
  		  if ($debug==1) {echo "$query<br/>\n";}
		  mysql_query($query,$db);
  		  if (mysql_errno()) {echo mysql_error($result)."<br/>\n";}
	  }
	  break;
  case 'Awards':
	  # Zero out checkboxes if blank
	  $cbArray=Array("awVotingOn","awModEnable","awResults","ggEnable","splitOF","cmEnable","gmEnable","gmSelfVote");
	  foreach ($cbArray as $key => $setting)
	  {
		  if (!isset($_POST[$setting])) {$_POST[$setting]=0;}
	  }
	  
	  $module=$_POST['module'];
	  
	  # Save settings
  	  foreach ($_POST as $setting => $value)
	  {
		  if ($setting=='module') {continue;}
		 
		  $scope=$_SESSION['lgid'];

		  $value=mysql_real_escape_string($value);
		  $query="INSERT INTO ootp_sql_admin (scope, module, setting, value) VALUES (";
  		  $query.="'$scope', '$module', '$setting', '$value'";
		  $query.=") ON DUPLICATE KEY UPDATE value='$value';";
  		  if ($debug==1) {echo "$query<br/>\n";}
		  mysql_query($query,$db);
  		  if (mysql_errno()) {echo mysql_error($result)."<br/>\n";}
	  }
	  break;
  case 'Draft':
	  # Zero out checkboxes if blank
	  $cbArray=Array("draftOn","pauseAuto","setAuto","autoOpen","createDraft","timerEnable","flexTimer","pauseWkEnd","schedulePicks","skipPicks");
	  foreach ($cbArray as $key => $setting)
	  {
		  if ($_POST["createDraft"]!=1)  //Clear draft config if not recreating it
		  {
			  unset($_POST["nRounds"]);
			  unset($_POST["suppRounds"]);
			  unset($_POST["rndLength"]);
		  }

		  if (!isset($_POST[$setting])) {$_POST[$setting]=0;}
	  }

	  if ($_POST['nRounds']=="") {$_POST['createDraft']=0;}

	  $module=$_POST['module'];
	  
	  # Save settings
  	  foreach ($_POST as $setting => $value)
	  {
		  if (($setting=='module')||($setting=='createDraft')||($setting=='schedulePicks')) {continue;}

		  $e=explode("_",$setting);
		  if ($e[0]=='feeder')
		  {
			  $setting=$e[0];
			  $identifier=$e[1];
		  }
		  else
		  {
			  $identifier=-1;
		  }

		  $scope=$_SESSION['lgid'];

		  $value=mysql_real_escape_string($value);
		  $query="INSERT INTO ootp_sql_admin (scope, module, setting, identifier, value) VALUES (";
  		  $query.="'$scope', '$module', '$setting', '$identifier', '$value'";
		  $query.=") ON DUPLICATE KEY UPDATE value='$value';";
  		  if ($debug==1) {echo "$query<br/>\n";}
		  mysql_query($query,$db);
  		  if (mysql_errno()) {echo mysql_error($result)."<br/>\n";}
	  }
	  break;
  case 'Draft_Warroom':
	  # Zero out checkboxes if blank
	  $cbArray=Array("auto_list","auto","draftSubscribe");
	  foreach ($cbArray as $key => $setting)
	  {
		  if (!isset($_POST[$setting])) {$_POST[$setting]=0;}
	  }

	  $module='users';
	  $identifier=$_POST['hmid'];

	  # Save settings
  	  foreach ($_POST as $setting => $value)
	  {
		  if (($setting=='module')||($setting=='draftList')||($setting=='dList')||($setting=='hmid')||($setting=='redirect_to')) {continue;}

		  if ($setting=='draftSubscribe') {$scope='ALL';}
		  else {$scope=$_SESSION['lgid'];}
			  
		  $value=mysql_real_escape_string($value);
		  $query="INSERT INTO ootp_sql_admin (scope, module, setting, identifier, value) VALUES (";
  		  $query.="'$scope', '$module', '$setting', '$identifier', '$value'";
		  $query.=") ON DUPLICATE KEY UPDATE value='$value';";
  		  if ($debug==1) {echo "$query<br/>\n";}
		  mysql_query($query,$db);
  		  if (mysql_errno()) {echo mysql_error($result)."<br/>\n";}
	  }

	  # Process Draft List
	  $scope=$_SESSION['lgid'];
	  $query="DELETE FROM ootp_sql_draft_list WHERE human_manager_id=$identifier AND league_id=$scope";
	  if ($debug==1) {echo "$query<br/>\n";}
	  mysql_query($query,$db);
	  if (mysql_errno()) {echo mysql_error($result)."<br/>\n";}

	  $dList=trim($_POST['dList'],"|");
	  $e=explode("|",$dList);

	  if (count($e)>0)
	  {
		  foreach ($e as $key => $pid)
		  {
			  if ($pid<=0) {continue;}

			  $porder=$key+1;
			  $query="INSERT INTO ootp_sql_draft_list VALUES ($identifier,$scope,$porder,$pid);";
			  if ($debug==1) {echo "$query<br/>\n";}
			  mysql_query($query,$db);
			  if (mysql_errno()) {echo mysql_error($result)."<br/>\n";}
		  }
	  }

	  break;
  case 'Last Sim':
	  # Zero out checkboxes if blank
	  $cbArray=Array("autoSimLength","poEnable","stEnable","grEnable","mrEnable","spEnable","pstEnable","sotdEnable");
	  foreach ($cbArray as $key => $setting)
	  {
		  if (!isset($_POST[$setting])) {$_POST[$setting]=0;}
	  }
	  
	  $module=$_POST['module'];
	  
	  # Save settings
  	  foreach ($_POST as $setting => $value)
	  {
		  if ($setting=='module') {continue;}

		  switch ($setting)
		  {
		  case 'autoSimLength':
		  case 'simLength':
		  case 'nSeasons':
		  case 'pythMeth':
		  case 'pythExp':
			  $scope='ALL';
			  break;
		  default:
			  $scope=$_SESSION['lgid'];
			  break;
		  }

		  $value=mysql_real_escape_string($value);
		  $query="INSERT INTO ootp_sql_admin (scope, module, setting, value) VALUES (";
  		  $query.="'$scope', '$module', '$setting', '$value'";
		  $query.=") ON DUPLICATE KEY UPDATE value='$value';";
  		  if ($debug==1) {echo "$query<br/>\n";}
		  mysql_query($query,$db);
  		  if (mysql_errno()) {echo mysql_error($result)."<br/>\n";}
	  }
	  break;
  case 'Pages':
	  $pages=Array(
   		  "awEnable"  =>"Awards Voting"
		  ,"asEnable"  =>"All-Star Voting"
		  ,"dftEnable" =>"Draft Module"
    		  ,"hofEnable" =>"Hall of Fame Voting"
		  ,"mrEnable"  =>"Milestone Report"
    		  ,"poEnable"  =>"Playoff Odds"
		  ,"pstEnable" =>"Postseason Reports"
		  ,"spEnable"  =>"Sim Preview"
    		  ,"sotdEnable"=>"Stat of the Day"
		  ,"tbEnable"  =>"Trade Block"
	  );

	  # Get leagues
	  $query="SELECT league_id FROM leagues ORDER BY league_id";
	  $result=mysql_query($query,$db);
	  $lgCnt=0;
	  if (mysql_num_rows($result)) 
	  {
		  while ($row=mysql_fetch_array($result))
		  {
			  $league_id=$row['league_id'];

			  # Zero out checkboxes if blank
			  foreach ($pages as $setting => $pgName)
			  {
				  $setting.="^".$league_id;
				  if (!isset($_POST[$setting])) {$_POST[$setting]=0;}
			  }
		  }
	  }
	  
	  # Save settings
  	  foreach ($_POST as $setting => $value)
	  {
		  if ($setting=='module') {continue;}

		  # Explode setting name to get lgID as scope
		  $s=explode("^",$setting);
		  $setting=$s[0];
		  $scope=$s[1];

		  switch ($setting)
		  {
		  case 'asEnable':
			  $module='All-Star';
			  break;
		  case 'awEnable':
			  $module='Awards';
			  break;
		  case 'devEnable':
			  $module='Development';
			  break;
		  case 'dftEnable':
			  $module='Draft';
			  break;
		  case 'hofEnable':
			  $module='Hall of Fame';
			  break;
		  case 'mrEnable':
		  case 'poEnable':
		  case 'pstEnable':
		  case 'spEnable':
		  case 'sotdEnable':
			  $module='Last Sim';
			  break;
		  default:
			  $module='admin';
			  break;
		  }

		  $value=mysql_real_escape_string($value);
		  $query="INSERT INTO ootp_sql_admin (scope, module, setting, value) VALUES (";
  		  $query.="'$scope', '$module', '$setting', '$value'";
		  $query.=") ON DUPLICATE KEY UPDATE value='$value';";
  		  if ($debug==1) {echo "$query<br/>\n";}
		  mysql_query($query,$db);
  		  if (mysql_errno()) {echo mysql_error($result)."<br/>\n";}
	  }
	  break;
  case 'users':
	  # Zero out checkboxes if blank
	  $cbArray=Array("hideinfo","hideScores","slUpdateSubscribe","draftSubscribe");
	  foreach ($cbArray as $key => $setting)
	  {
		  if (!isset($_POST[$setting]))
		  {
			  $_POST[$setting]=0;
			  if ($setting=='hideScores') {unset($_SESSION['hideScores']);}
		  }
	  }
	  
	  $module=$_POST['module'];
	  $identifier=$_POST['userID'];
	  
	  # Save settings
	  $scope='ALL';
	  foreach ($_POST as $setting => $value)
	  {
		  if (($setting=='module')||($setting=='userID')) {continue;}

		  $value=mysql_real_escape_string($value);
		  $query="INSERT INTO ootp_sql_admin (scope, module, setting, identifier, value) VALUES (";
  		  $query.="'$scope', '$module', '$setting', '$identifier', '$value'";
		  $query.=") ON DUPLICATE KEY UPDATE value='$value';";
  		  if ($debug==1) {echo "$query<br/>\n";}
		  mysql_query($query,$db);
  		  if (mysql_errno()) {echo mysql_error($result)."<br/>\n";}
	  }
	  break;
  }

  mysql_close($db);

  if ($debug==1) 
  {
	  echo "createDraft::".$_POST["createDraft"]."<br/>\n";
	  echo "schedulePicks::".$_POST["schedulePicks"]."<br/>\n";
	  exit;
  }

  if (($_POST['module']=="Draft")&&(($_POST["createDraft"]==1)||($_POST['schedulePicks']==1)))
  {
	  header('Location: ./draftSchedule.php?from=draftAdmin.php&create='.$_POST["createDraft"].'&schedule='.$_POST['schedulePicks']);
  }
  elseif ($_POST['module']=="Draft_Warroom")
  {
	  header('Location: '.$_POST['redirect_to']);
  }
  else
  {
	  header('Location: '.$_SERVER['HTTP_REFERER']);
  }

?>
