/********************************************
* formatText
*/
function wrapText(elementID, openTag, closeTag)
{
	var textElem=document.getElementById(elementID);
	var selText;

	// Get start and end position of selection
	//IE

	if (document.selection != undefined)
	{
		textElem.focus();
		var range=document.selection.createRange(); 

		// Don't do anything unless in the chat box
		if (range.parentElement() != textElem) {return false;}

		selText=range.text;
		
		replacement = openTag + selText + closeTag;
		range.text=replacement;
	}
	else if (textElem.selectionStart != undefined)   //Mozilla/Firefox
	{
		var disp,startPos,endPos;
		disp=textElem.value;

		startPos=textElem.selectionStart;
		endPos=textElem.selectionEnd;
		selText=textElem.value.substring(startPos,endPos);
	
		replacement = openTag + selText + closeTag;
		//Combine back into the full text string
		disp=disp.substr(0,startPos)+replacement+disp.substr(endPos,disp.length);
		textElem.value=disp;
	}

	setTimeout("setFocus('" + elementID + "');",2);
}
function setFocus(elem)
{
	document.getElementById(elem).focus();
}
function previewHTML(fromElem,toElem)
{
	var text=new String;
	var splitText;
	text=document.getElementById(fromElem).value;

	text = text.split(/\n/).join("<br />");

	text = text.replace(/\[b\]/g,"<b>");
	text = text.replace(/\[\/b\]/g,"</b>");
	text = text.replace(/\[i\]/g,"<i>");
	text = text.replace(/\[\/i\]/g,"</i>");
	text = text.replace(/\[u\]/g,"<u>");
	text = text.replace(/\[\/u\]/g,"</u>");
	document.getElementById(toElem).innerHTML=text;
}


/********************************************
* formatText
*/
function limitText(limitField, limitCount, limitNum)
{
      	if (limitField.value.length > limitNum) {
	    	limitField.value = limitField.value.substring(0, limitNum);
	} else if (limitCount!="") {
	    	limitCount.value = limitNum - limitField.value.length;
      	}
}


